TypeVariable (Java SE 9 & JDK 9 )
Keywords: com.sun.javadoc.TypeVariable interface

Module jdk.javadoc
Package com.sun.javadoc

## Interface TypeVariable

- All Superinterfaces:
    `Type`

  Deprecated.
  The declarations in this package have been superseded by those in the package `jdk.javadoc.doclet`. For more information, see the Migration Guide in the documentation for that package.

      @Deprecated
      public interface TypeVariable
      extends Type

  Represents a type variable. For example, the generic interface `List<E>` has a single type variable `E`. A type variable may have explicit bounds, as in `C<R extends Remote>`.
  Since:
    1.5

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `AnnotationDesc[]` | `annotations​()` | Deprecated. Get the annotations of this program element.
    `Type[]` | `bounds​()` | Deprecated. Return the bounds of this type variable.
    `ProgramElementDoc` | `owner​()` | Deprecated. Return the class, interface, method, or constructor within which this type variable is declared.

    - ### Methods inherited from interface com.sun.javadoc.Type

      `asAnnotatedType, asAnnotationTypeDoc, asClassDoc, asParameterizedType, asTypeVariable, asWildcardType, dimension, getElementType, isPrimitive, qualifiedTypeName, simpleTypeName, toString, typeName`

- - ### Method Detail

    - #### bounds

          Type[] bounds​()

      Deprecated.
      Return the bounds of this type variable. These are the types given by the extends clause. Return an empty array if there are no explicit bounds.
      Returns:
        the bounds of this type variable.

    - #### owner

          ProgramElementDoc owner​()

      Deprecated.
      Return the class, interface, method, or constructor within which this type variable is declared.
      Returns:
        the class, interface, method, or constructor within which this type variable is declared.

    - #### annotations

          AnnotationDesc[] annotations​()

      Deprecated.
      Get the annotations of this program element. Return an empty array if there are none.
      Returns:
        the annotations of this program element or an empty array if there are none.